package houses;

public class Room {

    private String name;
    private Location location;

    public void setName(String name) {
        this.name = name;
    }

    public void setSize(double width, double length){
        location.width = width;
        location.length = length;
    }
    
    public void setLocation(Location location) {
        this.location = location;
    }

    public Double getArea() {
        return location.length * location.width;//HF
    }

    public String getName() {
        return name;
    }

    public Location getLocation() {
        return new Location(location);
        //return new Location(location.x, location.y, location.width, location.length);
    }

    public Room(String name, double x, double y, double width, double length) {
        /*
        this.name = name;
        location = new Location(x,y,width, length); 
        //Fentebbi a lentebbivel azonos :)
        */
        this(name, new Location(x,y,width,length));
    }

    public Room(String name, Location location) {
        this.name = name;
        this.location = location;
    }

    public Room(String name) {
       /*
        this(name, new Location(0,0,0,0));
        */
        this(name, 0,0,0,0);      
    }

    public Room() {
        this("névtelen szoba");
    }
      
    
}